1.1

1.1

post /v1/invitations

Description

create an invitation

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

InvitationCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedInvitationCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/invitations

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = organization 1.1"

Request body

{
    "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
    "target_login_ids": [
        "score-1@samsung.com"
    ]
}

Example HTTP response

Response 201

{
    "failed_ids": [
        {
            "error_code": "Invitation.AlreadySentError",
            "failed_caused": "Account b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0 is not found",
            "failed_id": [
                "score-1@samsung.com"
            ]
        }
    ],
    "success_ids": [
        "log-archive@samsung.com"
    ]
}